Subject: Re: bug#27585: segfault when evaluating a file containing only backticks

From: Eli Zaretskii <[email-masked]>
Date: Thu, 06 Jul 2017 20:27:59 +0300

> Date: Thu, 06 Jul 2017 09:37:30 -0700
> CC: [email-masked],[email-masked]
> From: Daniel Colascione <[email-masked]>
> 
> In this instance, couldn't we add a hard threshold to limit recursion?

I'm not sure I understand the proposal.  Could you elaborate?

> >> Recovering when elisp blows the stack is a different matter.
> >
> >I believe we already do that.
> 
> We have a threshold. It's conservative, but it works most of the time. IMHO, explicit stack probing would be both less conservative and note robust.

Won't it be expensive?  Or maybe I don't have a clear idea what you
meant by "stack probing".